### Method

# Gtk EventControllerset_name

#### Declaration [src]

    void
    gtk_event_controller_set_name (
      GtkEventController* controller,
      const char* name
    )

#### Description [src]

Sets a name on the controller that can be used for debugging.

Sets property | `Gtk.EventController:name`

#### Parameters

`name`

  Type: `const char*`

  A name for `controller`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.